declare type Lifetimes = {
    /**
     * The amount of time to keep an entry in the cache, before refetching.
     */
    ttl?: number;
    /**
     * The ultimate ttl, the time at which a SWR will not respond.
     */
    maxTtl?: number;
};
declare type Options = Lifetimes & {
    type?: 'json' | 'arrayBuffer' | 'stream' | 'text';
};
declare type Resource<T extends (...args: any[]) => any> = (...args: Parameters<T>) => Promise<ReturnType<T>>;
declare const make: (binding: KVNamespace, context: ExecutionContext) => <T extends (...args: any[]) => any>(name: string, handler: T, options?: Options | undefined) => Resource<T>;

export { Lifetimes, Options, make };
